- return unless License.feature_available?(:required_ci_templates)

%section.settings.as-required-pipeline.no-animate#js-required-pipeline-settings{ class: ('expanded' if expanded) }
  .settings-header
    %h4
      = s_('AdminSettings|Required pipeline configuration')
    = render Pajamas::ButtonComponent.new(button_options: { class: 'js-settings-toggle' }) do
      = expanded ? _('Collapse') : _('Expand')
    %p
      - config_link_start = '<a href="%{url}">'.html_safe % { url: help_page_path('user/admin_area/settings/continuous_integration', anchor: 'required-pipeline-configuration') }
      = s_('AdminSettings|Set a CI/CD template as the required pipeline configuration for all projects in the instance. Project CI/CD configuration merges into the required pipeline configuration when the pipeline runs. %{link_start}What is a required pipeline configuration?%{link_end}').html_safe % { link_start: config_link_start, link_end: '</a>'.html_safe }
  .settings-content
    %p
      - instance_link_start = '<a href="%{url}">'.html_safe % { url: help_page_path('user/admin_area/settings/instance_template_repository') }
      = s_('AdminSettings|The template for the required pipeline configuration can be one of the GitLab-provided templates, or a custom template added to an instance template repository. %{link_start}How do I create an instance template repository?%{link_end}').html_safe % { code_start: '<code>'.html_safe, code_end: '</code>'.html_safe, link_start: instance_link_start, link_end: '</a>'.html_safe }
    = form_for @application_setting, url: ci_cd_admin_application_settings_path(anchor: 'js-required-pipeline-settings'), html: { class: 'fieldset-form' } do |f|
      = form_errors(@application_setting)

      .form-group.col-md-9.gl-p-0
        = f.label :required_instance_ci_template, s_('AdminSettings|Select a CI/CD template')
        .js-ci-template-dropdown{ data: { gitlab_ci_ymls: gitlab_ci_ymls(@project).to_json, value: @application_setting.required_instance_ci_template } }

      = f.submit _('Save changes'), class: "gl-button btn btn-confirm"
